<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if (isset($_GET['command'])) 
{
	switch ($_GET['command']) 
	{
		case 'send':
		
			if (isset($_GET['username'])) 
			{
				if(isset($_GET['message']))
				{
					// Cropper le nom d'utilisateur a 12 caracteres
					$nomutilisateur = substr($_GET['username'], 0, 11);
					
					// Cripper le message a 128 caracteres
					$message = substr($_GET['message'], 0, 127);
					
					$fp = fopen("dialog.txt", 'a');
					$chaine = date('Y-m-d H:i:s') . " [" . $nomutilisateur. "] : " . $message . "\n";
					fputs($fp, $chaine);
					fclose($fp);
					
					echo "ok";
				}
			}
			break;
			
		case 'receive':
		
			$nblines = 8;
			
			if (isset($_GET['lines'])) 
				$nblines = $_GET['lines'];
			
			// Recuperer le texte
			$contenu = iconv('utf-8','ASCII//IGNORE//TRANSLIT', file_get_contents( "dialog.txt" ));
			
			// Couper 
			$tableau = explode("\n", $contenu);
			
			
			if(count($tableau) <= 0)
			{
				echo "! No conversations !\n";
			}
			// Commencer $nblines lignes en arriere
			$debut = count($tableau) - $nblines;
			if($debut < 0)
				$debut = 0;
			
			echo $debut;
			// Et l'afficher
			for($b = $debut; $b < count($tableau) ; $b++)
				echo $tableau[$b] . "\r\n";
				
			
			break;
			
		
	}
} 
else 
{
	echo "T'CHAT - TEST<br/><br/>";

	echo "Exemple d'utilisation<br/>";
	echo "Envoyer un message  : tchat.php?command=send&username=toto&message=Hello!";
	echo "Recevoir un message : tchat.php?command=receive";
}

function getDepositUrl()
{
	if (isset($_SERVER['HTTPS'])) {
		$protocol = ($_SERVER['HTTPS'] && $_SERVER['HTTPS'] != "off") ? "https" : "http";
	} else {
		$protocol = 'http';
	}

	return $protocol . "://" . $_SERVER['HTTP_HOST'] . '/apps/';
}


